> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Teams



## OpenAPI

````yaml /openapi.json patch /v1/workspaces/{workspaceId}/teams/{teamId}
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/workspaces/{workspaceId}/teams/{teamId}:
    patch:
      tags:
        - Teams
      summary: Update Teams
      operationId: TeamsController_update_v1
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
            pattern: ^\d+$
        - name: teamId
          required: true
          in: path
          schema:
            type: string
            pattern: ^\d+$
        - name: dryRun
          required: false
          in: query
          schema:
            type: string
            enum:
              - 'true'
              - 'false'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateTeamDto'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TeamMutationResponseDto'
components:
  schemas:
    UpdateTeamDto:
      type: object
      properties:
        name:
          type: string
          minLength: 1
          maxLength: 120
        licenseIds:
          maxItems: 200
          type: array
          items:
            type: string
            pattern: ^\d+$
        userIds:
          maxItems: 200
          type: array
          items:
            type: string
            pattern: ^\d+$
        projectIds:
          maxItems: 200
          type: array
          items:
            type: string
            pattern: ^\d+$
        leadUserIds:
          maxItems: 200
          type: array
          items:
            type: string
            pattern: ^\d+$
        viewOnlyFeatureKeys:
          maxItems: 8
          type: array
          items:
            type: string
            enum:
              - brand_standard
              - catalog
              - specifications
              - procurement_finance
              - logistics
              - budget_analysis
              - collaboration
              - ai_assistant
      additionalProperties: false
    TeamMutationResponseDto:
      type: object
      properties:
        seatsAdded:
          type: array
          items:
            $ref: '#/components/schemas/TeamSeatDeltaEntryDto'
        seatsRemoved:
          type: array
          items:
            $ref: '#/components/schemas/TeamSeatDeltaEntryDto'
        seatsAbsorbed:
          type: array
          items:
            $ref: '#/components/schemas/TeamSeatDeltaEntryDto'
        team:
          $ref: '#/components/schemas/TeamResponseDto'
      required:
        - seatsAdded
        - seatsRemoved
        - seatsAbsorbed
    TeamSeatDeltaEntryDto:
      type: object
      properties:
        membershipId:
          type: string
        userId:
          type: string
        licenseId:
          type: string
      required:
        - membershipId
        - userId
        - licenseId
    TeamResponseDto:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        licenses:
          type: array
          items:
            $ref: '#/components/schemas/TeamLicenseDto'
        members:
          type: array
          items:
            $ref: '#/components/schemas/TeamMemberDto'
        projects:
          type: array
          items:
            $ref: '#/components/schemas/TeamProjectDto'
        viewOnlyFeatureKeys:
          type: array
          items:
            type: string
            enum:
              - collaboration
              - brand_standard
              - catalog
              - specifications
              - procurement_finance
              - logistics
              - budget_analysis
              - ai_assistant
      required:
        - id
        - name
        - licenses
        - members
        - projects
        - viewOnlyFeatureKeys
    TeamLicenseDto:
      type: object
      properties:
        licenseId:
          type: string
        packageKey:
          type: string
        displayName:
          type: string
        status:
          type: string
      required:
        - licenseId
        - packageKey
        - displayName
        - status
    TeamMemberDto:
      type: object
      properties:
        userId:
          type: string
        email:
          type: string
        firstName:
          type: string
          nullable: true
        lastName:
          type: string
          nullable: true
        isLead:
          type: boolean
      required:
        - userId
        - email
        - firstName
        - lastName
        - isLead
    TeamProjectDto:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
      required:
        - id
        - name

````